Docs
Get Content
GET /content
GET
/contentReturns all content items for the event, each with its activity, attached files and the surface blocks where it is scheduled. Requires the Event Content Management Admin permission.
Response
Type: GetContentResponse[]
GetContentResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| description | string| null | |
| activity | GetContentResponseActivityMin | |
| files | GetContentResponseFile[]| null | |
| schedule | GetContentResponseContentBlock[]| null |
GetContentResponseActivityMin
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null |
GetContentResponseFile
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| status | string| null |
GetContentResponseContentBlock
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| surface | GetContentResponseContentBlockContentSurface | |
| startTime | date-time| null | |
| endTime | date-time| null |
GetContentResponseContentBlockContentSurface
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null |